g=1
bdim=2
mdim=2
for model in lstm gru o2rnn mirnn
do
    for seed in 4240 1136 8204 6264 8634 1646 3199 6735 3933 1470
    do
        for nbin in 0 1
        do
            for es in 0.85
            do
                sdim=$((bdim*mdim))
                echo "======================================================================="
                echo "model : ${model} seed : ${seed} state_dim : ${sdim} test bin : ${nbin}"
                echo "======================================================================="

                CUDA_VISIBLE_DEVICES=0 python test.py \
                    --suffix "tomita_g${g}_sdim_${sdim}_bce" \
                    --load_model "../models/dfa_stability_rnn_${model}_tomita_g${g}_sdim_${sdim}_es_${es}_bce_seed_${seed}/best.pth" \
                    --batch_size 2000 \
                    --seed $seed \
                    --state_dim $sdim\
                    --model "rnn" \
                    --rnn_cell $model \
                    --mtype "classification" \
                    --grammar "tomita-${g}"\
                    --nbin $nbin \
                    --hinit 1 \
                    --dropout 0\
                    --nlayers 1 \
                    --dataset "MSI"\
                    --result_file "../results/rnn_${es}/g${g}_${model}_sdim_${sdim}_es_${es}_nbin_${nbin}.json"
            done
        done 
    done
done 
